# coding: utf-8
# stash_notifier.gemspec
# Copyright 2013 Doug Ireton

# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at

#     http://www.apache.org/licenses/LICENSE-2.0

# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stash_notifier/version'

Gem::Specification.new do |spec|
  spec.name          = 'stash_notifier'
  spec.version       = StashNotifier::VERSION
  spec.authors       = ['Doug Ireton']
  spec.email         = ['doug.ireton@nordstrom.com']
  spec.description   = %q{Send per-commit CI server build results to Atlassian Stash}
  spec.summary       = %q{Send per-commit CI server build results to Atlassian Stash}
  spec.homepage      = 'https://github.com/dougireton/stash_notifier'
  spec.license       = 'Apache License, Version 2.0'

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_dependency 'faraday', '~> 0.8'
  spec.add_dependency 'chef-vault', '~> 2.0'
  spec.add_dependency 'slop'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 2.14'
  spec.add_development_dependency 'vcr', '~> 2.5'
  spec.add_development_dependency 'guard'
  spec.add_development_dependency 'guard-rspec'
end
